Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1519238

Summary: pypy ships no pyc files
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: pypyAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dmalcolm, mcyprian, mhroncok, python-sig
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pypy-5.8.0-5.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-06 11:20:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Miro Hrončok 2017-11-30 13:32:21 UTC
Description of problem:
There are no pyc bytecompiled python files shipped in pypy / pypy-libs.

Version-Release number of selected component (if applicable):
5.9.0-1.fc28
5.8.0-3.fc27
5.7.0-1.fc26
5.4.0-1.fc25


Steps to Reproduce:
1. rpm -ql pypy-libs | grep pyc$

Actual results: (empty)


Expected results: (lot of files)


Additional info:
when running pypy as root, those files are created and than not owned by any package.

Fedora 22 is the last release when the pyc files were there.

Comment 1 Miro Hrončok 2017-11-30 16:08:32 UTC
PR at https://src.fedoraproject.org/rpms/pypy/pull-request/1

Please, review.

Comment 2 Fedora Update System 2017-12-15 09:11:55 UTC
pypy-5.8.0-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-23d303c4f1

Comment 3 Fedora Update System 2017-12-16 14:38:04 UTC
pypy-5.8.0-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-23d303c4f1

Comment 4 Fedora Update System 2018-02-06 11:20:08 UTC
pypy-5.8.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2018-02-06 15:26:22 UTC
pypy-5.8.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Michal Cyprian 2018-03-06 13:43:58 UTC
Fixed in f27 and rawhide ^^